Subject: [Tools-discuss] Re: [Tools-team] tool suggestion for MPLS IETF

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 04 Mar 2005 21:46:30 +0100

Thomas,

    Following up on the conversation below, and adding the tools-discuss
list to the recipients, you can now fetch an off-line viewable snapshot
of the agenda of a particular WG, with associated drafts, by doing a
wget of the html-ized agenda page at http://tools.ietf.org/ .

For an individual workgroup I'd suggest using this wget incantation:
(change "tools" to whatever subdirectory name takes your fancy, and
 replace <WGNAME> with the appropriate WG acronym)

  wget -pkKEr -nH -l2 -P tools http://tools.ietf.org/agenda/62/<WGNAME>.html

For all the agendas and all associated drafts, and also the wg
status page for each WG, use the following instead:
(note the change in number of levels to retrieve, "-l3" instead
 of "-l2" above, and the absence of a specific WG name)

  wget -pkKEr -nH -l3 -P tools http://tools.ietf.org/agenda/62/

	Henrik

On 2005-02-06 2:49 am Henrik Levkowetz said the following:
> Thomas,
> 
>     Returning to your suggestion (below) and trying to get a handle on
> the requirements for this, it seems to me that the task is split into
> two parts:  Presentation part, and update part.
> 
> For the presentation part, it could be done by one page which simply
> listed the workgroup names as a long list of links to individual pages,
> or it could be a bit more fancy, basically using the IETF-62 agenda
> as a starting point, and linking off that; pretty much matching the
> format of the agenda-page in html-format which the secretariat provides,
> but adding the html links to drafts, RFCs and other URLs.
> 
> Is either of these options what you had in mind?
> 
> One sample of the latter is available at
> http://ietf.levkowetz.com/schedule/?url=http://www.ietf.org/meetings/agenda_61.html
> but has the drawback that it has kept the secretariat-provided links
> to the charters -- if you want to be able to get this by an rsync or
> similar to have it available off line, I guess you'd prefer not to
> have those link in there.
> 
> Is it important that the whole set of agendas be available by rsync,
> or would wget also be acceptable?
> 
> For the update part, it could be done pretty easily by using a wiki
> page per workgroup (as already suggested). which would require that
> agendas always be entered in the wiki (and updated there) as well as
> sent in to the secretariat.  Or it could be a bit more fancy, providing
> fallback to the wg-agendas from the secretariat if no newer one had been
> entered through the wiki; which would be easier on the chairs, but require
> a bit more work to put together.  
> 
> Does these options match what you had in mind, or is there some non-
> obvious drawback to using a wiki?  (The obvious one being no access
> control - anybody could update any agenda...)
> 
> One alternative I'm considering is to extract the email addresses
> of the chairs of each workgroup from the charter pages, and arrange
> for agenda updates by email, where the sender email would have to match
> the workgroup for an update to go through.  This would probably be a
> bit more custom programming than going with the wiki, though.
> 
> Comments?
> 
> 	Henrik
> 
> 
> On 2005-01-25 8:12 pm Thomas Narten said the following:
>> Recalling a discussion from the last IETF, it sure would be nice if
>> there was a single web page that listed all WG agendas, and the
>> agendas were actually up-to-date.
>> 
>> Problem statement:
>> 
>> WG agendas should be collected on a single page, and be updatable in
>> essentially real-time, even during the WG meetings; can't we just have
>> a tool that does this?
>>     
>> requirements (?)
>>     - viewable via browser of course, should be html to support links
>>       (e.g., to IDs, etc.).  But .txt file works too.
>>     - single rsync/wget to get a snapshot of entire set of agendas
>>       (e.g., before getting onto plane)
>>     - chairs can update as often as they like (in real time),
>>       including moments before their WG meeting.
>>     - simple format/interface is fine -- each chair gets to update
>>       one file (i.e, their agenda). so, need the equivalent of
>>       allowing a restricted "scp" to update a page
>>     - run without secretariate help, so CNRI doesn't have be involved
>>       (they have enough to do around meeting times anyway,  it
>>       seems. Plus, we want this to be done completely through software.)
>>     - might be useful to have a secondary tool that sends reminders to
>>       chairs  of wgs that don't have  agendas listed, at least to get
>>       at least an initial agenda posted... But that is detail...
>> 
>> (might be more requirements...)
>> 
>> Thoughts?
>> 
>> What about running a prototype/experiment that attempts the above and
>> then evaluate how it works? We do it ourselves, on our own (non-CNRI)
>> web site, and ask WG-chairs to participate.
>> 
>> Thomas
> 
> _______________________________________________
> Tools-team mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/tools-team
> 

_______________________________________________
Tools-discuss mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tools-discuss